[RFC 6570]: http://tools.ietf.org/html/rfc6570


    @version    0.1.1
    @date       2015-01-18
    @stability  1 - Experimental



LiteJS
======

Lite framework for building single-page applications.




Views
=====

Organize views into a hierarchy with built-in router.


Api
---


```
View(name, element, parent, contentSelector)
```

-   **name** `String` - A name for a view that is also a route to the view.
    Accepts Level 1 URI Templates [RFC 6570][]
-   **element** `String` or `Function` or `DOM Node` -
    View representation as DOM tree.
    String and Function will be transformed to DOM Node on first call.
-   **parent** `String` - Parent view name.
-   **contentSelector** `String, optional` - A selector to where a child Node will be attached.



## How to use

```
// Optional path for views, default = ""
View.base = "/js/views/"

// Define starting point in DOM
View("body", document.body)

// Create first simple view
View("home", ".home", "body")

// Create another view
View("work", ".work", "body")

// Start
View.main = "home"
history.start(View.route)

// call manualy
View("home").show()
```


External links
--------------

-   [Source-code on Github](https://github.com/litejs/litejs)
-   [Package on npm](https://npmjs.org/package/litejs)
-   URI Template [RFC 6570][]


### Licence

Copyright (c) 2013-2015 Lauri Rooden &lt;lauri@rooden.ee&gt;  
[The MIT License](http://lauri.rooden.ee/mit-license.txt)


